import { Couchbase } from 'nativescript-couchbase';

export class CouchbaseInstance {

    private database: any;

    public constructor() {
        if(!this.database) {
            this.database = new Couchbase("rss-database");
            this.database.createView("sources", "1", (document, emitter) => {
                if(document.hasOwnProperty("type") && document.type == "source") {
                    emitter.emit(document._id, document);
                }
            });
        }
    }

    public getDatabase() {
        return this.database;
    }

}